﻿namespace PackageInterface
{
    public interface IPackageManager
    {
        string GetOrCreatePackager(string projectName);

        string StartPackageTask(string packagerId, string version);

        string GetPackageTaskState(string packagerId, string taskId);

        void StartTransfer(string packagerId, string taskId, uint hashCode);

        void TransferData(string packagerId, string taskId, byte[] data);

        void EndTransfer(string packagerId, string taskId);

        void Execute(string packagerId, string taskId, string fileName);

        void EndPackage(string packagerId, string taskId);

        void KillPackageTask(string packagerId, string taskId);

        void KillPackager(string packagerId);
    }
}
